/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var menudata={children:[
{text:"Welcome",url:"index.html"},
{text:"Graphics API",url:"graph_group.html",children:[
{text:"Direct Rendering Manager",url:"group__direct__rendering__manager.html"}]},
{text:"Multimedia APIs",url:"mmapi_group.html",children:[
{text:"Important Terms",url:"grp_terms.html"},
{text:"API Modules",url:"modules.html"},
{text:"Sample Applications",url:"group__l4t__mm__test__group.html",children:[
{text:"Building and Running",url:"mmapi_build.html"},
{text:"Cross-Compiler Support",url:"cross_platform_support.html"},
{text:"00_video_decode",url:"l4t_mm_00_video_decode.html"},
{text:"01_video_encode",url:"l4t_mm_01_video_encode.html"},
{text:"02_video_dec_cuda",url:"l4t_mm_02_video_dec_cuda.html"},
{text:"03_video_cuda_enc",url:"l4t_mm_03_video_cuda_enc.html"},
{text:"04_video_dec_trt",url:"l4t_mm_04_video_dec_trt.html"},
{text:"05_jpeg_encode",url:"l4t_mm_05_jpeg_encode.html"},
{text:"06_jpeg_decode",url:"l4t_mm_06_jpeg_decode.html"},
{text:"07_video_convert",url:"l4t_mm_07_video_convert.html"},
{text:"08_video_dec_drm",url:"l4t_mm_08_video_decode_drm.html"},
{text:"09_argus_camera_jpeg",url:"l4t_mm_09_argus_camera_jpeg.html"},
{text:"10_argus_camera_recording",url:"l4t_mm_10_argus_camera_recording.html"},
{text:"11_video_osd",url:"l4t_mm_11_video_osd.html"},
{text:"12_v4l2_camera_cuda",url:"l4t_mm_12_v4l2_camera_cuda.html"},
{text:"13_argus_multi_camera",url:"l4t_mm_13_argus_multi_camera.html"},
{text:"14_multivideo_decode",url:"l4t_mm_14_multivideo_decode.html"},
{text:"15_multivideo_encode",url:"l4t_mm_15_multivideo_encode.html"},
{text:"16_multivideo_transcode",url:"l4t_mm_16_multivideo_transcode.html"},
{text:"17_frontend",url:"@ref l4t_mm_front_end"},
{text:"18_v4l2_camera_cuda_rgb",url:"l4t_mm_18_v4l2_camera_cuda_rgb.html"},
{text:"camera_unit_sample",url:"l4t_mm_camera_unit_sample.html"},
{text:"decode_sample",url:"l4t_mm_decoder_unit_sample.html"},
{text:"encode_unit_sample",url:"l4t_mm_encoder_unit_sample.html"},
{text:"transform_unit_sample",url:"l4t_mm_transform_unit_sample.html"},
{text:"Backend",url:"l4t_mm_backend.html"},
{text:"Frontend",url:"@ref l4t_mm_front_end"},
{text:"v4l2cuda (capture-cuda)",url:"@ref l4t_mm_v4l2cuda"}]}]},
{text:"Serializer/Deserializer API",url:"serdes_group.html",children:[
{text:"Gigabit Multimedia Serial Link (GMSL)",url:"group__GMSL.html"},
{text:"MAX9295 Serializer Driver",url:"group__max9295.html"},
{text:"MAX9296 Deserializer Driver",url:"group__max9296.html"}]},
{text:"Trusty Key Generation APIs",url:"trusty_key_generation_group.html",children:[
{text:"Secure Random Number Generator",url:"@ref random_number_group"},
{text:"Hardware-Based AES-CMAC Functions",url:"@ref trusty_aes_cmac_group"},
{text:"Hardware Random Number Generator Function",url:"@ref trusty_hardware_generator_group"},
{text:"Software-Based AES-CMAC Functions",url:"@ref trusty_aes_sw_cmac_group"},
{text:"NIST 800-108 Key Definition Functions",url:"@ref trusty_nist_800_108_group"},
{text:"AES-CMAC Hardware Key Definition Sample Application",url:"@ref tegra_se_sample"}]},
{text:"Data Structures",url:"annotated.html",children:[
{text:"Data Structures",url:"annotated.html"},
{text:"Data Structure Index",url:"classes.html"},
{text:"Class Hierarchy",url:"inherits.html"},
{text:"Data Fields",url:"functions.html",children:[
{text:"All",url:"functions.html",children:[
{text:"a",url:"functions.html#index_a"},
{text:"b",url:"functions_b.html#index_b"},
{text:"c",url:"functions_c.html#index_c"},
{text:"d",url:"functions_d.html#index_d"},
{text:"e",url:"functions_e.html#index_e"},
{text:"f",url:"functions_f.html#index_f"},
{text:"g",url:"functions_g.html#index_g"},
{text:"h",url:"functions_h.html#index_h"},
{text:"i",url:"functions_i.html#index_i"},
{text:"k",url:"functions_k.html#index_k"},
{text:"l",url:"functions_l.html#index_l"},
{text:"m",url:"functions_m.html#index_m"},
{text:"n",url:"functions_n.html#index_n"},
{text:"o",url:"functions_o.html#index_o"},
{text:"p",url:"functions_p.html#index_p"},
{text:"q",url:"functions_q.html#index_q"},
{text:"r",url:"functions_r.html#index_r"},
{text:"s",url:"functions_s.html#index_s"},
{text:"t",url:"functions_t.html#index_t"},
{text:"u",url:"functions_u.html#index_u"},
{text:"v",url:"functions_v.html#index_v"},
{text:"w",url:"functions_w.html#index_w"},
{text:"x",url:"functions_x.html#index_x"},
{text:"y",url:"functions_y.html#index_y"},
{text:"z",url:"functions_z.html#index_z"},
{text:"~",url:"functions_~.html#index__7E"}]},
{text:"Functions",url:"functions_func.html",children:[
{text:"a",url:"functions_func.html#index_a"},
{text:"b",url:"functions_func_b.html#index_b"},
{text:"c",url:"functions_func_c.html#index_c"},
{text:"d",url:"functions_func_d.html#index_d"},
{text:"e",url:"functions_func_e.html#index_e"},
{text:"f",url:"functions_func_f.html#index_f"},
{text:"g",url:"functions_func_g.html#index_g"},
{text:"h",url:"functions_func_h.html#index_h"},
{text:"i",url:"functions_func_i.html#index_i"},
{text:"l",url:"functions_func_l.html#index_l"},
{text:"m",url:"functions_func_m.html#index_m"},
{text:"n",url:"functions_func_n.html#index_n"},
{text:"o",url:"functions_func_o.html#index_o"},
{text:"p",url:"functions_func_p.html#index_p"},
{text:"q",url:"functions_func_q.html#index_q"},
{text:"r",url:"functions_func_r.html#index_r"},
{text:"s",url:"functions_func_s.html#index_s"},
{text:"t",url:"functions_func_t.html#index_t"},
{text:"u",url:"functions_func_u.html#index_u"},
{text:"w",url:"functions_func_w.html#index_w"},
{text:"x",url:"functions_func_x.html#index_x"},
{text:"y",url:"functions_func_y.html#index_y"},
{text:"z",url:"functions_func_z.html#index_z"},
{text:"~",url:"functions_func_~.html#index__7E"}]},
{text:"Variables",url:"functions_vars.html",children:[
{text:"a",url:"functions_vars.html#index_a"},
{text:"b",url:"functions_vars_b.html#index_b"},
{text:"c",url:"functions_vars_c.html#index_c"},
{text:"d",url:"functions_vars_d.html#index_d"},
{text:"e",url:"functions_vars_e.html#index_e"},
{text:"f",url:"functions_vars_f.html#index_f"},
{text:"g",url:"functions_vars_g.html#index_g"},
{text:"h",url:"functions_vars_h.html#index_h"},
{text:"i",url:"functions_vars_i.html#index_i"},
{text:"k",url:"functions_vars_k.html#index_k"},
{text:"l",url:"functions_vars_l.html#index_l"},
{text:"m",url:"functions_vars_m.html#index_m"},
{text:"n",url:"functions_vars_n.html#index_n"},
{text:"o",url:"functions_vars_o.html#index_o"},
{text:"p",url:"functions_vars_p.html#index_p"},
{text:"q",url:"functions_vars_q.html#index_q"},
{text:"r",url:"functions_vars_r.html#index_r"},
{text:"s",url:"functions_vars_s.html#index_s"},
{text:"t",url:"functions_vars_t.html#index_t"},
{text:"u",url:"functions_vars_u.html#index_u"},
{text:"v",url:"functions_vars_v.html#index_v"},
{text:"w",url:"functions_vars_w.html#index_w"},
{text:"x",url:"functions_vars_x.html#index_x"},
{text:"y",url:"functions_vars_y.html#index_y"}]},
{text:"Typedefs",url:"functions_type.html"},
{text:"Related Functions",url:"functions_rela.html"}]}]},
{text:"Files",url:"files.html"},
{text:"More",url:"usergroup0.html",children:[
{text:"Links to External Resources",url:"l4t_mm_external_links.html"},
{text:"Browser Issues",url:"grp_notes.html"},
{text:"NVIDIA Legal",url:"nvidia_legal.html"}]}]}
